.mask-huoke {
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, .4);
    font-family: 'PingFang';
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 100;
    display: none;
}

.mask-huoke>.register {
    width: 880px;
    padding: 30px 40px;
    border-radius: 4px;
    background: rgba(255, 255, 255, 1);
    /* position: absolute; */
    /* left: 50%;
    top: 50%;
    transform: translate(-50%, -50%); */
    height: 660px;
    overflow: auto;
    position: relative;
}

.mask-huoke>.register>.title {
    font-size: 22px;
    font-weight: 500;
    line-height: 30px;
    color: rgba(15, 85, 168, 1);
    margin-bottom: 12px;
}

.mask-huoke>.register>.title::before {
    content: '';
    width: 16px;
    height: 16px;
    background-image: url(/img/product/icon/list.png);
    background-repeat: no-repeat;
    background-size: contain;
    display: inline-block;
    margin-right: 4px;

}

.mask-huoke>.register>.close {
    position: absolute;
    top: 20px;
    right: 20px;
    width: 24px;
    height: 24px;
    padding: 2px;
    background-image: url(/img/product/icon/close.png);
    background-repeat: no-repeat;
    background-size: contain;
    background-origin: content-box;
}

.mask-huoke>.register>.close {
    cursor: pointer;
}

.mask-huoke>.register>.form {
    width: 100%;

}

.mask-huoke>.register>.form .flex {
    width: 100%;
    display: flex;
    gap: 12px;
}

.mask-huoke>.register>.form .form-item {
    display: flex;
    margin-bottom: 24px;
    position: relative;
    flex: 1;
}

.mask-huoke>.register>.form .form-item input {
    border-radius: 4px;
    background: rgba(249, 250, 252, 1);
    border: 1px solid rgba(230, 230, 230, 1);
    flex: 1;
    padding: 12px;
    font-size: 16px;

}


.mask-huoke>.register>.form .form-item input:focus {
    border-color: rgba(15, 85, 168, 1);
}

.mask-huoke>.register>.form .error {
    position: absolute;
    left: 0;
    bottom: -16px;
    color: rgba(212, 48, 48, 1);
    font-size: 12px;
    display: none;
}

.mask-huoke>.register>.form .error::before {
    content: '';
    width: 10px;
    height: 10px;
    background-image: url(/img/product/icon/error.png);
    background-repeat: no-repeat;
    background-size: contain;
    margin-right: 3px;
    display: inline-block;
    margin-top: 2px;
}

.mask-huoke>.register>.form .form-item .img-canvas {
    border-radius: 4px;
    border: 1px solid rgba(230, 230, 230, 1);
    width: fit-content;
}

.mask-huoke>.register>.form .form-item .code-button {
    border-radius: 4px;
    background: rgba(15, 85, 168, 0.1);
    height: 48px;
    line-height: 48px;
    text-align: center;
    margin-left: 10px;
    font-size: 16px;
    font-weight: 500;
    color: rgba(15, 85, 168, 1);
    transition: all 0.3s;
    white-space: nowrap;
    width: 140px;
    user-select: none;
}

.mask-huoke>.register>.form .form-item .code-button:hover {
    background: rgba(15, 85, 168, 1);
    color: rgba(255, 255, 255, 1);
    cursor: pointer;
}

.mask-huoke>.register>.form .form-item .code-button.disabled {
    background: rgba(0, 0, 0, 0.1);
    color: rgba(15, 85, 168, 0.5);
}

.mask-huoke>.register>.form .form-item .code-button.disabled:hover {
    cursor: not-allowed;
}

.mask-huoke>.register>.form>.p {
    margin-top: 20px;
    font-size: 16px;
    font-weight: 600;
    line-height: 24px;
    color: rgba(0, 0, 0, 0.65);
    margin-bottom: 9px;
}

.mask-huoke>.register>.form>.iframe {
    height: 315px;
    overflow: auto;
    position: relative;
    margin-bottom: 9px;
}

.mask-huoke>.register>.form>.iframe .iframe-tip {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.mask-huoke>.register>.form>.iframe .iframe-tip .empty-img {
    width: 130px;
    height: 122px;
}

.mask-huoke>.register>.form>.iframe .iframe-tip .empty-img img {
    width: 100%;
    height: 100%;
}

.mask-huoke>.register>.form>.iframe .iframe-tip .empty-text {
    font-size: 12px;
    font-weight: 400;
    line-height: 20px;
    color: rgba(0, 0, 0, 0.35);
    white-space: nowrap;
    text-align: center;
}


.mask-huoke>.register>.form>.iframe .iframe-scan-success {
    display: none;
}

.mask-huoke>.register>.form>.iframe .iframe-scan-success .empty-img {
    width: 130px;
    height: 115px;
}

/* .mask-huoke > .register > .form > .iframe .iframe-scan-success .empty-text{
    width: 130px;
    height: 115px;
} */


.mask-huoke>.register>.form>.iframe .douyin-iframe {
    transform: scale(1.2);
    display: none;
}

.mask-huoke>.register>.form>.read {
    margin-bottom: 20px;
    position: relative;
}

.mask-huoke>.register>.form>.read .read-text {
    color: rgba(0, 0, 0, 0.65);
    font-size: 14px;
    font-weight: 400;
    line-height: 22px;

}

.mask-huoke>.register>.form>.read .read-href {
    color: rgba(15, 85, 168, 1);
    font-size: 14px;
    font-weight: 400;
    line-height: 22px;

}

.mask-huoke>.register>.form>.read .read-href:hover {
    cursor: pointer;
    text-decoration: underline;
}

.mask-huoke>.register>.form>.submit {
    width: 100%;
    border-radius: 4px;
    background: rgba(15, 85, 168, 0.5);
    height: 48px;
    line-height: 48px;
    text-align: center;
    font-size: 18px;
    font-weight: 500;
    color: rgba(255, 255, 255, 1);
    outline: none;
    border: none;
    cursor: not-allowed;
}

.mask-huoke>.register>.form>.submit.active {
    background: rgba(15, 85, 168, 1);
}

.mask-huoke>.register>.form>.submit.active:hover {
    background: rgb(10, 61, 123);
    cursor: pointer;
}


/**
    *
    小屏幕
*/
@media screen and (max-width:1280px) {
    .mask-huoke {
        /* display: flex; */
    }

    .mask-huoke>.register {
        width: 80vw;
        padding: 15px 20px;
        height: 80vh;
    }

    .mask-huoke>.register>.title {
        font-size: 16px;
        line-height: 18px;
        position: relative;
    }

    .mask-huoke>.register>.title::before {
        vertical-align: middle;
    }

    .mask-huoke>.register>.close {
        top: 12px;
        right: 16px;
        width: 18px;
        height: 18px;
        padding: 2px;
    }

    .mask-huoke>.register>.form .flex {
        display: block;
        gap: 0;
    }

    .mask-huoke>.register>.form .form-item {
        margin-bottom: 18px;
    }

    .mask-huoke>.register>.form .form-item input {
        padding: 8px 12px;
        font-size: 14px;
    }

    .mask-huoke>.register>.form .form-item input#imgCode {
        width: calc(100% - 120px);
    }

    .mask-huoke>.register>.form .form-item input#code {
        width: calc(100% - 120px);
    }

    .mask-huoke>.register>.form .form-item .code-button {
        height: 34px;
        line-height: 34px;
        font-size: 12px;
        background: rgba(15, 85, 168, 1);
        color: rgba(255, 255, 255, 1);
        width: 120px;
        margin-left: 0;
    }

    .mask-huoke>.register>.form .form-item .code-button.disabled {
        background: rgba(0, 0, 0, 0.1);
        color: rgba(15, 85, 168, 0.5);
    }

    .mask-huoke>.register>.form>.p {
        margin-top: 10px;
        font-size: 14px;
        font-weight: bold;
        line-height: 16px;
        color: rgba(0, 0, 0, 0.65);
    }

    .mask-huoke>.register>.form>.iframe {
        height: 250px;
    }

    .mask-huoke>.register>.form>.iframe .douyin-iframe {
        transform: scale(1);
    }

    .mask-huoke>.register>.form>.read .read-text {
        font-size: 12px;
        line-height: 14px;
    }

    .mask-huoke>.register>.form>.read .read-href {
        font-size: 12px;
        line-height: 14px;

    }

    .mask-huoke>.register>.form>.submit {
        height: 38px;
        line-height: 38px;
        font-size: 14px;
    }
}


/* 滚动条整体样式 */
::-webkit-scrollbar {
    width: 4px;
    height: 4px;
    /* 滚动条宽度 */
}

/* 滚动条轨道样式 */
::-webkit-scrollbar-track {
    background-color: #f1f1f1;
    /* 轨道背景色 */
}

/* 滚动条滑块样式 */
::-webkit-scrollbar-thumb {
    background-color: #ccc;
    /* 滑块颜色 */
    border-radius: 5px;
    /* 滑块圆角 */
}

/* 滚动条滑块悬停样式 */
::-webkit-scrollbar-thumb:hover {
    background-color: rgba(0, 0, 0, 0.35);
    /* 悬停时滑块颜色 */
}

/* 滚动条按钮样式 */
::-webkit-scrollbar-button {
    display: none;
    /* 隐藏滚动条按钮 */
}